POST /updateStoreStatus/{locationId}

This endpoint allows a POS to update store status. One, several or all channel links can be put in busy/online mode(should be supported by channels as well) by calling this endpoint. When sending a call to the endpoint make sure it includes isActive flag which indicates if store busy/online. Optional parameter channelLinks allwos you to specify a list of channel links to be put in busy/online mode. Otherwise all location channel links will be put in busy/online mode. As a payload we always expect a JSON that contains: * Flag that indicates if store is busy/online (isActive) * [Optional] Array of channel link ids to be put in busy/online more (channelLink)

Path parameters

  • locationId string Required
application/json

Body

  • isActive string Required
  • prepTime string Required

Responses

  • 200 text/plain

    OK

  • 400 application/json

    Bad Request

    Hide response attribute Show response attribute object
    • errors array[string]
POST /updateStoreStatus/{locationId}
curl \
 --request POST 'https://api.staging.deliverect.com/updateStoreStatus/{locationId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"isActive":"string","prepTime":"string"}'
Request examples
{
  "isActive": "string",
  "prepTime": "string"
}
Response examples (400)
{
  "errors": [
    "Channel Link 606d8489f****ddf13b****6 failed to update status"
  ]
}